HTMLAppletElement (Common DOM API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

Common DOM API

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.dom.html
Interface HTMLAppletElement

All Superinterfaces:
  Element, HTMLElement, Node

public interface HTMLAppletElement
extends HTMLElement

An embedded Java applet. See the APPLET element definition in HTML 4.0. This element is deprecated in HTML 4.0.

See also the Document Object Model (DOM) Level 2 Specification.

Field Summary

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`String` | `getAlign()` Aligns this object (vertically or horizontally) with respect to its surrounding text.
`String` | `getAlt()` Alternate text for user agents not rendering the normal content of this element.
`String` | `getArchive()` Comma-separated archive list.
`String` | `getCode()` Applet class file.
`String` | `getCodeBase()` Optional base URI for applet.
`String` | `getHeight()` Override height.
`String` | `getHspace()` Horizontal space to the left and right of this image, applet, or object.
`String` | `getName()` The name of the applet.
`String` | `getObject()` Serialized applet file.
`String` | `getVspace()` Vertical space above and below this image, applet, or object.
`String` | `getWidth()` Override width.
`void` | `setAlign(String align)`
`void` | `setAlt(String alt)`
`void` | `setArchive(String archive)`
`void` | `setCode(String code)`
`void` | `setCodeBase(String codeBase)`
`void` | `setHeight(String height)`
`void` | `setHspace(String hspace)`
`void` | `setName(String name)`
`void` | `setObject(String object)`
`void` | `setVspace(String vspace)`
`void` | `setWidth(String width)`

Methods inherited from interface org.w3c.dom.html.HTMLElement
`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Method Detail

### getAlign

    public String getAlign()

  Aligns this object (vertically or horizontally) with respect to its surrounding text. See the align attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

### setAlign

    public void setAlign(String align)

### getAlt

    public String getAlt()

  Alternate text for user agents not rendering the normal content of this element. See the alt attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

### setAlt

    public void setAlt(String alt)

### getArchive

    public String getArchive()

  Comma-separated archive list. See the archive attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

### setArchive

    public void setArchive(String archive)

### getCode

    public String getCode()

  Applet class file. See the code attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

### setCode

    public void setCode(String code)

### getCodeBase

    public String getCodeBase()

  Optional base URI for applet. See the codebase attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

### setCodeBase

    public void setCodeBase(String codeBase)

### getHeight

    public String getHeight()

  Override height. See the height attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

### setHeight

    public void setHeight(String height)

### getHspace

    public String getHspace()

  Horizontal space to the left and right of this image, applet, or object. See the hspace attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

### setHspace

    public void setHspace(String hspace)

### getName

    public String getName()

  The name of the applet. See the name attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

### setName

    public void setName(String name)

### getObject

    public String getObject()

  Serialized applet file. See the object attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

### setObject

    public void setObject(String object)

### getVspace

    public String getVspace()

  Vertical space above and below this image, applet, or object. See the vspace attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

### setVspace

    public void setVspace(String vspace)

### getWidth

    public String getWidth()

  Override width. See the width attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

### setWidth

    public void setWidth(String width)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

Common DOM API

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.